Next Commerce
API ReferenceCampaigns

Campaigns Offers Destroy

Delete an offer on the campaign.

DELETE
/campaigns/{id}/offers/{offerId}/

Authorization

oauth2 campaigns:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: campaigns:write

Path Parameters

id*integer

Campaign ID.

offerId*integer

Offer reference ID, unique within the campaign.

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Response Body

curl -X DELETE "https://example.com/campaigns/0/offers/0/" \  -H "X-29next-API-Version: 2024-04-01"
Empty